Module Module1

    Sub Main()
        Dim uc As New uCalc
        Dim Expression As String
        Console.WriteLine("uCalc Console Calculator (VB.NET) Demo")
        Console.WriteLine("Type your math expressions at the prompt.")
        Console.WriteLine("To quit type EXIT and press enter.")
        uc.DefineVariable("Prompt As String = '> '")
        While (1)
            Console.Write(uc.EvalStr("Prompt"))
            Expression = Console.ReadLine()
            If Expression.ToUpper() = "EXIT" Then Exit While
            Console.WriteLine(uc.EvalStr(Expression))
        End While
    End Sub

End Module
